exception.hpp File Reference

A simple class to use as exception with string message. More...

`#include <exception>`
`#include <string>`

Go to the source code of this file.

## Classes

class | claw::exception
| A simple class to use as exception with string message. More...
class | claw::bad_format
| Exception thrown when accessing bad formated data. More...

## Namespaces

namespace | claw
| This is the main namespace.

## Macros

#define | CLAW_EXCEPTION(m)
| Create an exception and add the name of the current function to the message.

## Detailed Description

A simple class to use as exception with string message.

Author
  Julien Jorge

Definition in file exception.hpp.

## Macro Definition Documentation

## CLAW_EXCEPTION

#define CLAW_EXCEPTION | ( |  | m | ) |

Value:
claw::exception( std::string(__FUNCTION__) + ": " + m )
claw::exception
A simple class to use as exception with string message.
Definition exception.hpp:44

Create an exception and add the name of the current function to the message.

Parameters

  m | A short description of the problem.

Definition at line 90 of file exception.hpp.

Referenced by claw::graphic::jpeg::writer::save(), and claw::graphic::png::writer::save().